#include <bits/stdc++.h>
#include "partition.h"
using namespace std;

vector <pair <int, int>> v;
vector <int> ans;

vector<int> solve(vector<int> A) {
    for (int i = 0; i < A.size(); i ++) {
        v.push_back({A[i], i});
    }

    sort(v.begin(), v.end());
    for (int i = v.size() - 1; i >= 0; i --) {
        ans.push_back(v[i].second);
    }

    return ans;
}
